
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ImpresionLayoutConfigDAO;
import com.rjconsultores.ventaboletos.entidad.ImpresionLayoutConfig;
import com.rjconsultores.ventaboletos.service.ImpresionLayoutConfigService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("impresionLayoutConfigService")
public class ImpresionLayoutConfigServiceImpl implements ImpresionLayoutConfigService {

	@Autowired
	private ImpresionLayoutConfigDAO impresionLayoutConfigDAO;

	public List<ImpresionLayoutConfig> obtenerTodos() {
		return impresionLayoutConfigDAO.obtenerTodos();
	}

	public ImpresionLayoutConfig obtenerID(Integer id) {
		return impresionLayoutConfigDAO.obtenerID(id);
	}

	@Transactional
	public ImpresionLayoutConfig suscribir(ImpresionLayoutConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return impresionLayoutConfigDAO.suscribir(entidad);
	}

	@Transactional
	public ImpresionLayoutConfig actualizacion(ImpresionLayoutConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return impresionLayoutConfigDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ImpresionLayoutConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		impresionLayoutConfigDAO.actualizacion(entidad);
	}

	public List<ImpresionLayoutConfig> buscar(String descricao) {
		return impresionLayoutConfigDAO.buscar(descricao);
	}
	
	public List<ImpresionLayoutConfig> buscarLike(String descricao) {
		return impresionLayoutConfigDAO.buscarLike(descricao);
	}
}
